#!/bin/bash
BASH_DIR=/root/supervisor-4.2.4
SERVICE_DIR=/usr/lib/systemd/system/

# install setuptools
cd /root/setuptools-42.0.2
python setup.py install

# install supervisor
cd $BASH_DIR
python setup.py install

echo_supervisord_conf > /etc/supervisord.conf
mkdir /etc/supervisord.d
echo '[include]' >> /etc/supervisord.conf
echo 'files = /etc/supervisord.d/*.ini' >> /etc/supervisord.conf
cp /root/supervisord.service $SERVICE_DIR

# install libluajit-5.1.so.2
cd /root/LuaJIT-2.0.5
make & make install

cd ~

rm -rf $BASH_DIR /root/setuptools-42.0.2 /root/LuaJIT-2.0.5

# end
